Bug 127909 - CAN-2004-0600 Buffer Overrun in memcpy()
Summary: CAN-2004-0600 Buffer Overrun in memcpy()
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-15 07:50 UTC by Mark J. Cox
Modified: 2014-08-31 23:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-22 11:01:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:259 high SHIPPED_LIVE Important: samba security update 2004-07-22 04:00:00 UTC

Description Mark J. Cox 2004-07-15 07:50:00 UTC
** This issue is currently embargoed **

The Samba team reported to us on July 14th that the internal routine
used by the Samba Web Administration Tool (SWAT) to decode the base64
data during HTTP basic authentication is subject to a buffer overrun
caused by an invalid base64 character.

Affected Samba installations include those running v3.0.2 or later and
meeting one of the following three requirements:

(a) Servers using the ldapsam passdb backend
(b) Servers running winbindd and allowing 3rd party applications to
issue authentication requests via the ntlm_auth tool included with Samba.
(c) Servers running SWAT.

RHSA-2004:064 upgraded RHEL3 users to a vulnerable version of Samba,
therefore RHEL3 is affected by this issue.

The embargo is set at July 20th, at 6am GMT-6 at which time Samba
3.0.5 will be released.

This issue does not affect RHEL2.1 which is on Samba version 2.2.7.

Comment 2 Mark J. Cox 2004-07-22 10:48:18 UTC
Removing embargo, now public at
http://www.samba.org/samba/samba.html

Comment 3 Mark J. Cox 2004-07-22 11:01:08 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-259.html



Note You need to log in before you can comment on or make changes to this bug.